# Serialized Form

- ## Package org.eclipse.net4j.channel

  - ### Class org.eclipse.net4j.channel.ChannelException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.connector

  - ### Class org.eclipse.net4j.connector.ConnectorException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.protocol

  - ### Class org.eclipse.net4j.protocol.ProtocolVersionException extends IllegalStateException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.signal

  - ### Class org.eclipse.net4j.signal.RemoteException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### whileResponding

            boolean whileResponding

      - #### localStackTrace

            StackTraceElement[] localStackTrace

  - ### Class org.eclipse.net4j.signal.SignalFinishedEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### signal

            Signal signal

      - #### exception

            Exception exception

  - ### Class org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### oldTimeout

            long oldTimeout

      - #### newTimeout

            long newTimeout

  - ### Class org.eclipse.net4j.signal.SignalScheduledEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### signal

            Signal signal

- ## Package org.eclipse.spi.net4j

  - ### Class org.eclipse.spi.net4j.Channel.SendQueue extends ConcurrentLinkedQueue<IBuffer> implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### size

            AtomicInteger size

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html